baab13
From 83831bb2af42219682e3e1d4adbd350e634bd07e Mon Sep 17 00:00:00 2001
baab13
From: Jakub Filak <jfilak@redhat.com>
baab13
Date: Tue, 20 Jan 2015 15:12:05 +0100
baab13
Subject: [PATCH] console-notifications: add timeout
baab13
baab13
Related to #898
baab13
Resolves rhbz#1249101
baab13
baab13
Signed-off-by: Jakub Filak <jfilak@redhat.com>
baab13
---
baab13
 src/cli/abrt-console-notification.sh | 2 +-
baab13
 1 file changed, 1 insertion(+), 1 deletion(-)
baab13
baab13
diff --git a/src/cli/abrt-console-notification.sh b/src/cli/abrt-console-notification.sh
baab13
index 976dfc3..a98f164 100755
baab13
--- a/src/cli/abrt-console-notification.sh
baab13
+++ b/src/cli/abrt-console-notification.sh
baab13
@@ -39,4 +39,4 @@ if [ -f "$TMPPATH" ]; then
baab13
     mv -f "$TMPPATH" "$SINCEFILE" >"$ABRT_DEBUG_LOG" 2>&1
baab13
 fi
baab13
 
baab13
-abrt-cli status --since="$SINCE" 2>"$ABRT_DEBUG_LOG"
baab13
+timeout 10s abrt-cli status --since="$SINCE" 2>"$ABRT_DEBUG_LOG" || echo "'abrt-cli status' timed out"
baab13
-- 
baab13
1.8.3.1
baab13